unit BtnMain;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Spin, SRColBtn;

type
  TMainForm = class(TForm)
    SRColorButton1: TSRColorButton;
    SRColorButton2: TSRColorButton;
    Label40: TLabel;
    Label41: TLabel;
    Label42: TLabel;
    SRColorButton3: TSRColorButton;
    SRColorButton4: TSRColorButton;
    Label44: TLabel;
    Label45: TLabel;
    SpinContrastShadow: TSpinEdit;
    SpinContrastHighlight: TSpinEdit;
    SpinBevelWidth: TSpinEdit;
    CBAllowAllUp1: TCheckBox;
    CBAllowAllUp2: TCheckBox;
    procedure SpinContrastHighlightChange(Sender: TObject);
    procedure SpinContrastShadowChange(Sender: TObject);
    procedure SpinBevelWidthChange(Sender: TObject);
    procedure SRColorButton3Click(Sender: TObject);
    procedure CBAllowAllUp1Click(Sender: TObject);
    procedure CBAllowAllUp2Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  MainForm: TMainForm;

implementation

{$R *.DFM}

procedure TMainForm.CBAllowAllUp1Click(Sender: TObject);
begin
  SRColorButton1.AllowAllUp:=CBAllowAllUp1.Checked;
end;

procedure TMainForm.CBAllowAllUp2Click(Sender: TObject);
begin
  SRColorButton2.AllowAllUp:=CBAllowAllUp2.Checked;
end;

procedure TMainForm.SpinContrastHighlightChange(Sender: TObject);
begin
  SRColorButton1.ContrastHighlight:=SpinContrastHighlight.Value;
  SRColorButton2.ContrastHighlight:=SpinContrastHighlight.Value;
end;

procedure TMainForm.SpinContrastShadowChange(Sender: TObject);
begin
  SRColorButton1.ContrastShadow:=SpinContrastShadow.Value;
  SRColorButton2.ContrastShadow:=SpinContrastShadow.Value;
end;

procedure TMainForm.SpinBevelWidthChange(Sender: TObject);
begin
  SRColorButton1.BevelWidth:=SpinBevelWidth.Value;
  SRColorButton2.BevelWidth:=SpinBevelWidth.Value;
end;

procedure TMainForm.SRColorButton3Click(Sender: TObject);
begin
  MessageBeep(0);
end;

end.
